Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.jaws.jdbc
Class JDBCCreateEntityCommand

    java.lang.Object
      |
      +--org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
            |
            +--org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand
                  |
                  +--org.jboss.ejb.plugins.jaws.jdbc.JDBCCreateEntityCommand

All Implemented Interfaces:
  JPMCreateEntityCommand

public class JDBCCreateEntityCommand
extends JDBCUpdateCommand
implements JPMCreateEntityCommand

JAWSPersistenceManager JDBCCreateEntityCommand

Version:
  $Revision: 1.6.6.3 $
Author:
  Rickard Öberg, Marc Fleury, Joe Shevland, Justin Forder
See Also:

Fields inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`debug, factory, jawsEntity, log, name`

Constructor Summary
`JDBCCreateEntityCommand(JDBCCommandFactory factory)`

Method Summary
`java.lang.Object` | `execute(java.lang.reflect.Method m, java.lang.Object[] args, EntityEnterpriseContext ctx)`
`protected java.lang.Object` | `handleResult(int rowsAffected, java.lang.Object argOrArgs)` Handle the result of successful execution of the update.
`protected void` | `setParameters(java.sql.PreparedStatement stmt, java.lang.Object argOrArgs)` Default implementation does nothing.

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand
`executeStatementAndHandleResult`

Methods inherited from class org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand
`getCMPFieldValue, getConnection, getJawsCMPFieldJDBCType, getJDBCType, getJDBCTypeName, getPkColumnList, getPkColumnWhereList, getPkFieldValue, getResultObject, getResultObject, getSQL, getState, isBinaryType, jdbcExecute, setCMPFieldValue, setParameter, setPrimaryKeyParameters, setSQL`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCCreateEntityCommand

    public JDBCCreateEntityCommand(JDBCCommandFactory factory)

Method Detail

### execute

    public java.lang.Object execute(java.lang.reflect.Method m,
                                    java.lang.Object[] args,
                                    EntityEnterpriseContext ctx)
                             throws java.rmi.RemoteException,
                                    javax.ejb.CreateException

  Specified by:
    `execute` in interface `JPMCreateEntityCommand`

### setParameters

    protected void setParameters(java.sql.PreparedStatement stmt,
                                 java.lang.Object argOrArgs)
                          throws java.lang.Exception

  Description copied from class: `JDBCCommand`
  Default implementation does nothing. Override if parameters need to be set.
  Overrides:
    `setParameters` in class `JDBCCommand`
  Following copied from class: `org.jboss.ejb.plugins.jaws.jdbc.JDBCCommand`
  Parameters:
    `stmt` - the PreparedStatement which will be executed by this Command.
    `argOrArgs` - argument or array of arguments passed in from subclass execute method.
  Throws:
    `java.lang.Exception` - if parameter setting fails.

### handleResult

    protected java.lang.Object handleResult(int rowsAffected,
                                            java.lang.Object argOrArgs)
                                     throws java.lang.Exception

  Description copied from class: `JDBCUpdateCommand`
  Handle the result of successful execution of the update.
  Overrides:
    `handleResult` in class `JDBCUpdateCommand`
  Following copied from class: `org.jboss.ejb.plugins.jaws.jdbc.JDBCUpdateCommand`
  Parameters:
    `rs` - the result set from the query.
    `argOrArgs` - argument or array of arguments passed in from subclass execute method.
  Returns:
    any result needed by the subclass `execute`.
  Throws:
    `java.lang.Exception` - if result handling fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.